REST Resource: regionCompositeHealthChecks

Resource: CompositeHealthCheck

Represents a composite health check.

A composite health check resource specifies the health source resources and the health destination resource to which the aggregated health result from the health source resources is delivered.

JSON representation
{
  "kind": string,
  "id": string,
  "creationTimestamp": string,
  "name": string,
  "description": string,
  "selfLink": string,
  "selfLinkWithId": string,
  "region": string,
  "healthSources": [
    string
  ],
  "healthDestination": string,
  "fingerprint": string
}
Fields
kind

string

Output only. Type of the resource. Always

compute#compositeHealthCheck

for composite health checks.

id

string (uint64 format)

Output only. A unique identifier for this resource type. The server generates this identifier.

creationTimestamp

string

Output only. Creation timestamp in RFC3339 text format.

name

string

Name of the resource. Provided by the client when the resource is created. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression [a-z]([-a-z0-9]*[a-z0-9])? which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash.

description

string

An optional description of this resource. Provide this property when you create the resource.

region

string

Output only. URL of the region where the composite health check resides. This field applies only to the regional resource. You must specify this field as part of the HTTP request URL. It is not settable as a field in the request body.

healthSources[]

string

URLs to the

HealthSource

resources whose results are AND'ed. I.e. he aggregated result is is

HEALTHY

only if all sources are

HEALTHY

. Must have at least 1. Must not have more than 10. Must be regional and in the same region as the

CompositeHealthCheck

. Can be mutated.

healthDestination

string

URL to the destination resource. Must be set. Must be a

ForwardingRule

. The

ForwardingRule

must have load balancing scheme

INTERNAL

or

INTERNAL_MANAGED

and must be regional and in the same region as the

CompositeHealthCheck

(cross-region deployment for

INTERNAL_MANAGED

is not supported). Can be mutated.

fingerprint

string (bytes format)

Fingerprint of this resource. A hash of the contents stored in this object. This field is used in optimistic locking. This field will be ignored when inserting a

CompositeHealthCheck

. An up-to-date fingerprint must be provided in order to patch the CompositeHealthCheck; Otherwise, the request will fail with error

412 conditionNotMet

. To see the latest fingerprint, make a

get()

request to retrieve the CompositeHealthCheck.

A base64-encoded string.

Methods

aggregatedList

The method compute.v1.RegionCompositeHealthChecksService.AggregatedList is not available in Cloud de Confiance by S3NS.

delete

The method compute.v1.RegionCompositeHealthChecksService.Delete is not available in Cloud de Confiance by S3NS.

get

The method compute.v1.RegionCompositeHealthChecksService.Get is not available in Cloud de Confiance by S3NS.

insert

The method compute.v1.RegionCompositeHealthChecksService.Insert is not available in Cloud de Confiance by S3NS.

list

The method compute.v1.RegionCompositeHealthChecksService.List is not available in Cloud de Confiance by S3NS.

patch

The method compute.v1.RegionCompositeHealthChecksService.Patch is not available in Cloud de Confiance by S3NS.

testIamPermissions

The method compute.v1.RegionCompositeHealthChecksService.TestPermissions is not available in Cloud de Confiance by S3NS.